/************************************************************************/
/*                                                                      */
/*             ,     ..        */
/*                   ,   ,   .               */
/*                                                                      */
/************************************************************************/

/************************************************************************/
/* AT24C512B serial EEPROM routines                                     */
/************************************************************************/

// Reset after an interruption in protocol, 
// power loss or system reset.
void eeprom_reset();

// Writes single byte to EEPROM.
// Returns 1 if successful, 0 otherwise.
int eeprom_write_byte(unsigned char dev_addr,
					  unsigned short word_addr, 
					  unsigned char data);

// Reads single byte from EEPROM at specified address.
// Returns 1 if successful, 0 otherwise.
int eeprom_read_random(unsigned char dev_addr,
					   unsigned short word_addr, 
					   unsigned char* data);

// Reads single byte from EEPROM at current address.
// Returns 1 if successful, 0 otherwise.
int eeprom_read_current(unsigned char dev_addr,
					    unsigned char* data);
